package org.unicore.ajo;

/**
 * ControlServices apply some action to AbstractActions.
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version ControlService.java 1.5 09/09/02
 *
 **/
public abstract class ControlService extends AbstractService {

    static final long serialVersionUID = 8900912705857066859L;

    /**
     * Create a new ControlService.
     * <p>
     * @param name The name of the ControlService
     * @param extra_information Client supplied extra information about the ControlService
     *
     **/
    protected ControlService(String name, byte[] extra_information) {
        super(name,extra_information);
    }

}
//
// Change history:
//           6 May 2000 SvdB V3.0
//           7 Dec 1998 SvdB Second release to Unicore 
//           5 Nov 1998 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
